{ config, pkgs, libs, ... }:
{
  programs.zsh = {
    enable = true;
    prezto = {
      enable = true;
      pmodules = [ 
        "archive"
        "docker"
        "environment"
        "git"
        "terminal"
        "editor"
        "history"
        "directory"
        "spectrum"
        "utility"
        "completion"
        "command-not-found"
        "syntax-highlighting"
        "history-substring-search"
        "autosuggestions"
        "prompt"
      ];
    };
  };
  programs.starship = {
      enable = true;
      enableZshIntegration = true;
      settings = {
      character.symbol = "➜";
      character.success_symbol = "[➜](bold green)";
    };
  };
}